HomeGuidesAPI Reference
API Reference

Search Transaction

Search & Retrieve Transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint allows you to retrieve the details of multiple transactions.

Endpoint

GET https://demo-api.edfapay.com/api/v1/transactions/filterTransaction


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Query Parameters

FieldTypeRequiredDescription
pageNumberIntegerOptionalThe page index, starting from 0.
pageSizeIntegerOptionalThe number of records to return per page.
rrnIntegerOptionalThe transaction RRN provided by the bank.
statusStringOptionalThe transaction status used for filtering.
🚧

If the pageNumber parameter is not provided, it defaults to 0.

If the pageSize parameter is not provided, it defaults to 10.

📘

You can retrieve all available status values from the Transaction Coding API response under the transactionStatuses parameter.

👉 Transaction Coding API Response


Example Request

curl --location 'https://demo-api.edfapay.com/api/v1/transactions/filterTransaction' \
--header 'X-API-KEY: YOUR_API_KEY'

Example Responses

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "content": [
            {
                "transactionId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "orderId": "XXXXXXXXXX",
                "amount": "1.00",
                "currencyCode": "682",
                "transactionStatus": "SUCCESS",
                "paymentStatus": "REDIRECT",
                "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "channel": "PAYMENT_GATEWAY",
                "rrn": null,
                "transactionType": "PURCHASE",
                "reconciliationStatus": "UNSETTLED",
                "reconciliationAt": null,
                "acquirerBank": null,
                "providerTid": "XXXXXXXXXX",
                "holderAccount": null,
                "cardScheme": "MC",
                "cardChannel": "PHYSICAL_CARD",
                "cardSequenceNumber": null,
                "pan": "5123 45** **** 0008",
                "cardExpiration": "2039/01",
                "cardHolderName": "XXXXXXXXXX",
                "createdAt": "2026-04-16T13:20:27.011002",
                "finishedAt": "2026-04-16T13:20:29.813116",
                "createdBy": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "createdByName": "XXXXXXXXXX",
                "totalRefundAmount": "0.00",
                "refundStatus": "NONE",
                "merchantId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "recurringToken": null,
                "declineReason": null
            }
        ],
        "number": 0,
        "size": 30,
        "totalElements": 1,
        "hasContent": true,
        "numberOfElements": 1,
        "totalPages": 1,
        "first": true,
        "last": true
    }
}
Query Params
pageProperties
object
required

Search Pageable

searchCriteria
object
required

Transaction Search Criteria

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*